apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: inlets
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: inlets
    spec:
      containers:
      - name: inlets
        image: alexellis2/inlets:2.7.0
        imagePullPolicy: Always
        command: 
          - "inlets"
          - "server"
          - "--token=$(TOKEN)"
          - "--print-token=false"
        resources:
          limits:
            cpu: 5m
            memory: 16Mi
          requests:
            cpu: 5m
            memory: 16Mi
        env:
          - name: TOKEN
            valueFrom:
              secretKeyRef:
                name: inlets
                key: TOKEN
        ports:
        - containerPort: 8000
